yicol 发表于 2003-6-10 18:18:00

多段线的长度用什么属性获得?

本帖最后由 作者 于 2003-6-10 18:18:56 编辑

多段线和spline的长度用什么属性获得?

zfbj 发表于 2003-6-11 09:35:00

Length

yicol 发表于 2003-6-11 09:53:00

不行呀,

直线可以,圆弧用object.arclength
多段线和曲线就不知道了

zfbj 发表于 2003-6-11 15:05:00

下面的代码:

Sub GetLength()
    '创建多段线
    Dim plineObj As AcadPolyline
    Dim points(0 To 14) As Double
   
    '定义点
    points(0) = 1: points(1) = 1: points(2) = 0
    points(3) = 1: points(4) = 2: points(5) = 0
    points(6) = 2: points(7) = 2: points(8) = 0
    points(9) = 3: points(10) = 2: points(11) = 0
    points(12) = 4: points(13) = 4: points(14) = 0
      
    '在模型空间创建多段线
    Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
    ZoomAll

    MsgBox "多段线的长度是:" & plineObj.Length
End Sub

yicol 发表于 2003-6-12 19:26:00

运行出错,对象不支持该属性或方法

下面的代码:
Sub GetLength()
    '创建多段线
    Dim plineObj As AcadPolyline
    Dim points(0 To 14) As Double
   
    '定义点
    points(0) = 1: points(1) = 1: points(2) = 0
    points(3) = 1: points(4) = 2: points(5) = 0
    points(6) = 2: points(7) = 2: points(8) = 0
    points(9) = 3: points(10) = 2: points(11) = 0
    points(12) = 4: points(13) = 4: points(14) = 0
         
    '在模型空间创建多段线
    Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
    ZoomAll

    MsgBox "多段线的长度是:" & plineObj.Length    '''此处出错
End Sub

mccad 发表于 2003-6-12 20:30:00

Length属性在2002及以前版本只支持直线,而2004版后增加支持了多段线

详见:http://www.mjtd.com/object/acad2004/idh_length.htm

thankyou 发表于 2003-6-13 13:35:00

RE

zfbj的程序是对的,我刚运行过。
页: [1]
查看完整版本: 多段线的长度用什么属性获得?